- NAME
- SYNOPSIS
- DESCRIPTION
- NOTES
- RETURN VALUES
- SEE ALSO
- HISTORY
- COPYRIGHT

# NAME

PEM_write_bio_CMS_stream - output CMS_ContentInfo structure in PEM format

# SYNOPSIS

     #include <openssl/cms.h>

     int PEM_write_bio_CMS_stream(BIO *out, CMS_ContentInfo *cms, BIO *data, int flags);

# DESCRIPTION

PEM_write_bio_CMS_stream() outputs a CMS_ContentInfo structure in PEM format.

It is otherwise identical to the function SMIME_write_CMS().

# NOTES

This function is effectively a version of the PEM_write_bio_CMS() supporting streaming.

# RETURN VALUES

PEM_write_bio_CMS_stream() returns 1 for success or 0 for failure.

# SEE ALSO

CMS_sign(3), CMS_encrypt(3) PEM_write(3), i2d_CMS_bio_stream(3)

# HISTORY

PEM_write_bio_CMS_stream() was added to OpenSSL 1.0.0

# COPYRIGHT

Copyright 2008-2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.